Vai al contenuto

Sam 3 · Image · Embed

Integra

ID del modello sam-3/image/embed
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/image/embed?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Questa richiesta: ≈0,005 $ 5 crediti API Esegui in questa pagina

Ottieni la chiave API
Meta · Dati (JSON)

Il tuo primo risultato apparirà qui

Crea una richiesta qui sotto ed eseguila con la tua chiave API. Gli output vengono copiati nella nostra archiviazione, conservati per sempre oppure 7 giorni gratuitamente.

Crea una richiesta

I controlli vengono generati dallo schema del modello. Il codice e il prezzo si aggiornano mentre li modifichi.

•obbligatorio image_url
Trascina un file oppure

URL dell'immagine usata per generare un embedding.

POST /run/sam-3/image/embed?wait=20 preventivo → 0,005 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-3/image/embed?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esegui questa richiesta

La tua chiave rimane in questo browser: viene inviata solo al Doitong API e salvata in localStorage solo se selezioni Ricorda. Ottieni una chiave API

Informazioni su Sam 3 · Image · Embed

Accetta un URL di un'immagine e restituisce il relativo embedding come stringa codificata in base64 in `embedding_b64`. Non produce maschere, quindi è adatto a pipeline che memorizzano nella cache o riutilizzano le feature delle immagini. Non sono previsti altri parametri.

Parametri

Invia il nome canonico oppure il nome nativo, non entrambi. Nomi canonici

NomeTipo PredefinitoConsentiti Descrizione
image_urlobbligatorio image
Tipourl · image
URL dell'immagine usata per generare un embedding.
obbligatorio Nome canonico, accettato anche

I parametri file accettano un URL pubblico https://, un URI data: fino a 10 MB oppure il file_url di un caricamento. File

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam-3/image/embed",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "embedding_b64": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
I tuoi file, la tua sceltaOgni outputs[].url è una copia nella nostra archiviazione: conservata per sempre (a pagamento per GB-mese) oppure 7 giorni gratuitamente, in base all'impostazione dell'account o a ?storage=.
Stessa struttura per ogni modellotype, url, content_type, width, height e duration, per immagini, video e audio. output è l'oggetto risultato del modello.
Campi dell'output
embedding_b64
stringEmbedding che rappresenta l'immagine.

Altri modelli: Visione

Per gli agenti AI: questa pagina in Markdown è disponibile all'indirizzo https://doitong.com/it/developers/models/sam-3/image/embed.md. Tutti i modelli e le guide: https://doitong.com/developers/llms.txt